List Repository Issues (By Repo ID)

Request

GET

https://api.sourcecraft.tech/repos/id:{repo_id}/issues

Path parameters

Name

Description

repo_id

Type: string

Example: ``

Query parameters

Name

Description

filter

Type: string

Filter using QL language.

Supported fields:

  • title: Issue title (string, prefix match)
  • priority: Issue priority (enum: low, normal, high, critical)
  • status: Issue status (enum: open, in_progress, closed)
  • assignee_id: Assignee ID
  • assignee_slug: Assignee username
  • milestone_id: Milestone ID
  • milestone_slug: Milestone slug
  • label_id: Label ID
  • label_slug: Label slug
  • author_id: Author ID
  • author_slug: Author username
  • visibility: Issue visibility (enum: public, private)
  • created_at: Creation timestamp (RFC3339 format)
  • updated_at: Last update timestamp (RFC3339 format)

Examples:

  • status=open and priority=critical
  • author_id="550e8400-e29b-41d4-a716-446655440000"
  • created_at>"2024-01-01T00:00:00Z"

Example: ``

page_size

Type: string<uint64>

The maximum number of issues to return. The service may return fewer than
this value

Example: ``

page_token

Type: string

A page token, received from a previous call.
Provide this to retrieve the subsequent page.

When paginating, all other parameters must match
the call that provided the page token.

Example: ``

sort_by

Type: string

Ordering options: comma separated list of fields. For example: "name, created_at"
Default sorting order is ascending. To specify descending order for a field,
append a "-" prefix; for example: "name, -created_at"
Redundant space characters in the syntax are insignificant. "foo, -bar", " foo , -bar", and "foo,bar"
are all equivalent.

Example: ``

Responses

200 OK

A successful response.

Body

application/json
{
  "issues": [
    {
      "id": "example",
      "slug": "example",
      "title": "example",
      "description": "example",
      "status": {
        "id": "example",
        "slug": "example",
        "name": "example",
        "status_type": "initial"
      },
      "author": {
        "id": "example",
        "slug": "example"
      },
      "updated_by": null,
      "created_at": "2025-01-01T00:00:00Z",
      "updated_at": "2025-01-01T00:00:00Z",
      "assignee": null,
      "labels": [
        {
          "id": "example",
          "slug": "example",
          "name": "example",
          "color": "example"
        }
      ],
      "linked_prs": [
        {
          "id": "example",
          "slug": "example"
        }
      ],
      "priority": "trivial",
      "visibility": "public",
      "milestone": {
        "id": "example",
        "slug": "example"
      },
      "deadline": "2025-01-01T00:00:00Z",
      "started_at": "2025-01-01T00:00:00Z",
      "completed_at": "2025-01-01T00:00:00Z",
      "repository": {
        "id": "example",
        "slug": "example",
        "organization": {
          "id": "example",
          "slug": "example"
        }
      }
    }
  ],
  "next_page_token": "example"
}

Name

Description

issues

Type: Issue[]

Example
[
  {
    "id": "example",
    "slug": "example",
    "title": "example",
    "description": "example",
    "status": {
      "id": "example",
      "slug": "example",
      "name": "example",
      "status_type": "initial"
    },
    "author": {
      "id": "example",
      "slug": "example"
    },
    "updated_by": null,
    "created_at": "2025-01-01T00:00:00Z",
    "updated_at": "2025-01-01T00:00:00Z",
    "assignee": null,
    "labels": [
      {
        "id": "example",
        "slug": "example",
        "name": "example",
        "color": "example"
      }
    ],
    "linked_prs": [
      {
        "id": "example",
        "slug": "example"
      }
    ],
    "priority": "trivial",
    "visibility": "public",
    "milestone": {
      "id": "example",
      "slug": "example"
    },
    "deadline": "2025-01-01T00:00:00Z",
    "started_at": "2025-01-01T00:00:00Z",
    "completed_at": "2025-01-01T00:00:00Z",
    "repository": {
      "id": "example",
      "slug": "example",
      "organization": {
        "id": "example",
        "slug": "example"
      }
    }
  }
]

next_page_token

Type: string

A token, which can be sent as page_token to retrieve the next page.
If this field is omitted, there are no subsequent pages.

Example: example

StatusType

Type: string

Enum: initial, in_progress, paused, completed, cancelled

IssueStatus

Name

Description

id

Type: string

Example: example

name

Type: string

Example: example

slug

Type: string

Example: example

status_type

Type: StatusType

Enum: initial, in_progress, paused, completed, cancelled

Example
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "status_type": "initial"
}

UserEmbedded

Name

Description

id

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example"
}

LabelEmbedded

Name

Description

color

Type: string

Example: example

id

Type: string

Example: example

name

Type: string

Example: example

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "color": "example"
}

Priority

Type: string

Enum: trivial, minor, normal, critical, blocker

Issue.Visibility

Type: string

Enum: public, private

RepositoryEmbedded

Name

Description

id

Type: string

Example: example

organization

Type: OrganizationEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

slug

Type: string

Example: example

Example
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}

Issue

Name

Description

assignee

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

author

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

completed_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

created_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

deadline

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

description

Type: string

Example: example

id

Type: string

Example: example

labels

Type: LabelEmbedded[]

Example
[
  {
    "id": "example",
    "slug": "example",
    "name": "example",
    "color": "example"
  }
]

linked_prs

Type: PullRequestEmbedded[]

Example
[
  {
    "id": "example",
    "slug": "example"
  }
]

milestone

Type: MilestoneEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

priority

Type: Priority

Enum: trivial, minor, normal, critical, blocker

repository

Type: RepositoryEmbedded

Example
{
  "id": "example",
  "slug": "example",
  "organization": {
    "id": "example",
    "slug": "example"
  }
}

slug

Type: string

Example: example

started_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

status

Type: IssueStatus

Example
{
  "id": "example",
  "slug": "example",
  "name": "example",
  "status_type": "initial"
}

title

Type: string

Example: example

updated_at

Type: string<date-time>

Example: 2025-01-01T00:00:00Z

updated_by

Type: UserEmbedded

Example
{
  "id": "example",
  "slug": "example"
}

visibility

Type: Issue.Visibility

Enum: public, private

Example
{
  "id": "example",
  "slug": "example",
  "title": "example",
  "description": "example",
  "status": {
    "id": "example",
    "slug": "example",
    "name": "example",
    "status_type": "initial"
  },
  "author": {
    "id": "example",
    "slug": "example"
  },
  "updated_by": null,
  "created_at": "2025-01-01T00:00:00Z",
  "updated_at": "2025-01-01T00:00:00Z",
  "assignee": null,
  "labels": [
    {
      "id": "example",
      "slug": "example",
      "name": "example",
      "color": "example"
    }
  ],
  "linked_prs": [
    {
      "id": "example",
      "slug": "example"
    }
  ],
  "priority": "trivial",
  "visibility": "public",
  "milestone": {
    "id": "example",
    "slug": "example"
  },
  "deadline": "2025-01-01T00:00:00Z",
  "started_at": "2025-01-01T00:00:00Z",
  "completed_at": "2025-01-01T00:00:00Z",
  "repository": {
    "id": "example",
    "slug": "example",
    "organization": {
      "id": "example",
      "slug": "example"
    }
  }
}

default

Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme

Body

application/json
{
  "error_code": "example",
  "message": "example",
  "request_id": "example",
  "details": {}
}

Name

Description

details

Type: Optional details. Exact structure depends on error_code

[additional]

Type: string

Example: example

Example
{}

error_code

Type: string

Example: example

message

Type: string

Example: example

request_id

Type: string

Example: example

Предыдущая